Bug 131652 - Two wireless applets? One has to go ...
Summary: Two wireless applets? One has to go ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-applets   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 131589
TreeView+ depends on / blocked
 
Reported: 2004-09-02 20:46 UTC by Matthias Clasen
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version: 2.8.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 16:37:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2004-09-02 20:46:09 UTC
There are two wireless applets, one should go.

Comment 1 Mark McLoughlin 2004-09-03 09:06:16 UTC
I think we should remove the Wireless Link Monitor if anything - the
Network Monitor applet shows wireless signal strength.

Dan: what do you think?

Comment 2 Bryan W Clark 2004-09-03 20:50:11 UTC
Dan will be back on Tuesday.  

It sounds reasonable to remove the WLM in favor of the NetworkManager
applet, which provides the same functionality plus more.

Comment 3 Dan Williams 2004-09-07 04:52:49 UTC
Remember, ditching the non NM one means that we'll require people to
use NetworkManager to get a wireless applet.  Now that we've got
support for forcing NM to use specific interfaces, that's not such a
big deal, but is that what we want to do?  HP had commented a while
back (okay, two weeks ago) that I might have to put a non-NM mode into
the wireless applet, but that was before the increased functionality.

Comment 4 Mark McLoughlin 2004-09-07 06:15:21 UTC
Again, the Network Monitor shows wireless signal strength, so I don't
think we lose anything if we drop the Wireless Link Monitor.

Comment 5 Mark McLoughlin 2004-09-21 16:37:08 UTC
Okay, I've removed it in gnome-applets 2.8.0-2 but added a backwards
compatibility hack which will make gnome-netstatus be loaded for
existing configurations containing the wireless applet.

Comment 6 David Woodhouse 2004-09-22 12:54:46 UTC
Actually we had three. We're still shipping the modemlights applet, right?

I actually much prefer the modemlights one -- little graph of traffic,
button for ifup/ifdown etc. Are those features on the plan for the new
gnome-netstatus applet before modemlights is killed too?

Could we have it show bluetooth signal strength too please? The output
of 'pand -l' will tell you the hardware address ('bdaddr') of the PAN
server you're connected to, and 'hcitool lq <bdaddr>' with that
address will give a link quality in the range 0-255.



Comment 7 Mark McLoughlin 2004-09-22 13:12:51 UTC
dwmw2: modemlights isn't wireless :-) we're not killing modemlights yet

you should log the other suggests upstream -
http://bugzilla.gnome.org/enter_bug.cgi?product=gnome-netstatus

Comment 8 David Woodhouse 2004-09-22 13:15:40 UTC
Sorry, not wireless indeed. But still, we had three network device
monitoring applets. Now we have two.


Comment 9 David Woodhouse 2004-09-22 13:42:25 UTC
Suggestions logged upstream:

http://bugzilla.gnome.org/show_bug.cgi?id=153426 -- graph
http://bugzilla.gnome.org/show_bug.cgi?id=153427 -- up/down button
http://bugzilla.gnome.org/show_bug.cgi?id=153430 -- bluetooth
http://bugzilla.gnome.org/show_bug.cgi?id=153431 -- modem lockfile

If those get implemented then we should be able to deprecate the
modemlights applet.


Note You need to log in before you can comment on or make changes to this bug.